use anyhow::Result;
use tokio::net::{TcpListener, TcpStream};
use tokio::io::AsyncWriteExt;

use deck::Deck;

mod card;
mod deck;
mod player;

#[tokio::main]
async fn main() -> Result<(), anyhow::Error> {
    let listener = TcpListener::bind("127.0.0.1:6379").await?;

    loop {
        match listener.accept().await {
            Ok((_socket, addr)) => println!("new client: {:?}", addr),
            Err(e) => println!("couldn't get client: {:?}", e),
        }
    }

    Ok(())
}
